Bug 856541 - Error messages come in geo-rep gluster logs whenever there is a setxattr call.
Error messages come in geo-rep gluster logs whenever there is a setxattr call.
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: quota (Show other bugs)
3.3.0
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Pranith Kumar K
:
Depends On: 856539
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 05:24 EDT by Vijaykumar Koppad
Modified: 2014-08-24 20:49 EDT (History)
6 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 856539
Environment:
Last Closed: 2013-07-24 13:55:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vijaykumar Koppad 2012-09-12 05:24:46 EDT
+++ This bug was initially created as a clone of Bug #856539 +++

Description of problem: The error messages are logged in geo-rep gluster logs whenever   there is a setxattr call. 

[2012-09-11 20:11:24.591271] E [mem-pool.c:503:mem_put] (-->/usr/lib64/glusterfs/3.3.0rhs/xlator/cluster/replicate.so(afr_setxattr_wind_cbk+0xe6) [0x7f17044c7426](/usr/lib64/glusterfs/3.3.0rhs/xlator/cluster/replicate.so(afr_setxattr_unwind+0xe3) [0x7f17044c4f13] (-->/usr/lib64/glusterfs/3.3.0rhs/xlator/cluster/distribute.so(dht_err_cbk+0xfd) [0x7f170427c67d]))) 0-mem-pool: invalid argument



Version-Release number of selected component (if applicable):RHS-2.0.z 


How reproducible:Consistently 


Steps to Reproduce:
1.Create large set of data on the master 
2.Start a geo-rep session between master(dist-rep)  and slave(dist-repl)
3. Look for the error messages in geo-rep gluster logs. 

  
Actual results: The error messages occur 


Expected results:There shouldn't be any error message. 


Additional info:

Note You need to log in before you can comment on or make changes to this bug.